#ifndef _DLL_H_
#define _DLL_H_

#if BUILDING_DLL
# define DLLIMPORT __declspec (dllexport)
#else /* Not BUILDING_DLL */
# define DLLIMPORT __declspec (dllimport)
#endif /* Not BUILDING_DLL */

#ifdef __cplusplus
   extern "C" { /* using a C++ compiler */
#endif

typedef struct punkt punkt; /* make the class opaque to the wrapper */
       
       DLLIMPORT punkt* konstruktor(int a, int b);
       DLLIMPORT void przesun_xy(punkt* LV_ref, int a, int b);
       DLLIMPORT void pokaz_xy(punkt* LV_ref, int* a, int* b);
       DLLIMPORT void destruktor(punkt* LV_ref);
       
#ifdef __cplusplus
   }
#endif

#endif /* _DLL_H_ */
